# Application for HPC Resources

This section provides you with guidelines how to

- Apply for resources to use the HPC systems with the [Application System JARDS](project_request_form.md)
- Manage members and their access to the project via [User Management for Project Leaders](project_management.md)

Below you will find the information about:

- [NHR Center](#nhr-center)
- [Acknowledgment in Publications](acknowledgement.md)
- [Terms of Use](terms_of_use.md)

## NHR Center

In order to use the HPC systems installed at ZIH, it is necessary to apply for the resources.
The applicant (HPC project manager) is required to have a doctorate/PhD.
It is possible to apply for different [project types](project_request_form.md#project-type)
depending on the project demands.

However, the [application workflow with JARDS](project_request_form.md) is identical for all types.

Since 2021, HPC at universities has been restructured by the [NHR network](https://www.nhr-verein.de/).
The network consists of nine centers which operate the systems and offer
a coordinated consulting service on the methodological competence of scientific HPC.
The aim is to provide scientists at German universities with computing capacity
for their research and to strengthen their skills in the efficient use of these resources.

!!! Info  "Who can apply?"

    Please note: Researchers with a doctorate from universities or universities of applied sciences
    in Germany are eligible to apply.

    We particularly invite researchers to apply with research projects related to our focus topics:

       * Life Sciences
       * Earth System Sciences
       * Methods for big data, data analysis and management
       * Machine Learning
       * Tiered storage architectures and I/O optimization
       * Performance and energy efficiency analysis and optimization
       * Research projects not related to our focus topics but from Universities within Saxony.

    We recommend **all other researchers** to review the focus topics of the remaining
    [NHR centers](https://www.nhr-verein.de/anwendungsunterstuetzung) and apply to the most suitable
    for your research topic. Working at the specialized NHR center related to your research topic
    provides you with the advantage of receiving topic specific support.
