# Application System JARDS

**We hereby inform you that a new application system JARDS is in place since end of March 2024.**

!!! note "Follow-up applications"

    For follow-up applications, please submit a new application.

!!! note "ScaDS.AI applications"

    For members, associated members and partners of ScaDS.AI Dresden/Leipzig,
    we have a separate application:

    [https://scads.ai/research/resources-for-research/](https://scads.ai/research/resources-for-research/)

!!! note "Resources for teaching"

    If you would like to have HPC resources for your course,
    kindly follow the instructions provided at the page
    [Access for Courses](https://tu-dresden.de/zih/hochleistungsrechnen/zugang/hpclehre).

## Workflow in JARDS

There are several steps necessary to apply for HPC resources.
The application workflow is identical for each project type.

- [Project type](#project-type) - Select the project type according to your resource requirements
- [Login](#login-to-submit-your-new-application) - Login to the application portal to start a new
  application or continue the submission
- [Access applications](#access-overview-of-approved-projects) - Manage your approved applications

Additional hints and **templates** for the project descriptions for **NHR@TUD applications**
can be found at the following
[ZIH pages](https://tu-dresden.de/zih/hochleistungsrechnen/zugang/projektantrag?set_language=en).

Please be aware that due to the switch to the national JARDS system, the approval
period lasts in average between 4 and 8 weeks. There are technical and scientific reviews included,
which vary depending on the type of application. Regular and large projects are only approved after
a positive scientific review. Starter and trial projects are approved directly after a technical
review.

!!! note "User management"

    Once a project is approved, you can use the project management portal
    [https://hpcprojekte.zih.tu-dresden.de/](https://hpcprojekte.zih.tu-dresden.de/managers/) to
    manage the [user access](project_management.md).

## Project Type

The project type depends on the required resources and compute time using the HPC resources.
It is possible to apply for HPC resources at TU Dresden via
[national NHR JARDS](https://jards.nhr-verein.de/)system. The previous system
[local JARDS](https://projects.hpc.tu-dresden.de/application/login.php?appkind=nhr)
was discontinued in April 2024, however, can still be accessed in 'read-only' mode.

!!! Info " Project types"

    * NHR Starter
    * Test/Preparation Projects
    * Normal
    * Large

    The range of CPU/GPU resources for each project type at the TU Dresden can be found on
    [the ZIH pages](https://tu-dresden.de/zih/hochleistungsrechnen/zugang/projektantrag?set_language=en).

## Login to Submit Your New Application

For the application of a project no ZIH Login is necessary.
You only need a ZIH login if you want to access the resources you need for your project.

The national NHR JARDS uses the e-mail callback option.

Login via [national NHR application form JARDS](https://jards.nhr-verein.de/).
The 'Open Applications' button leads you to either 'new application', 'not yet submitted' or
'submitted'.

!!! note "Step 1 - Select a Project type"

    ![Project type jards](misc/nhr_jards_login1.jpg)
    {: align="center"}

!!! note "Step 2 - Select the NHR center"

    ![NHR center](misc/nhr_jards_login2.jpg)
    {: align="center"}

!!! note "Step 3 - Enter your email address and accept the data privacy policy"

    ![email adress](misc/nhr_jards_login3.jpg)
    {: align="center"}

## Access Overview of Approved Projects

To access the [overview of your approved applications](https://jards.nhr-verein.de/) in
the national NHR JARDS system, the e-mail callback option is used as well.

Please note that 'not yet approved' applications are not visible via this login.

!!! note "Click the 'Open Project Page' button"

    ![open project page](misc/nhr_project_access1.jpg)
    {: align="center"}
